# Copyright (c) 2021, InfluxFramework LLC
# License: MIT. See LICENSE

from click import secho

import influxframework


def execute():
	if influxframework.get_hooks("jenv"):
		print()
		secho(
			'WARNING: The hook "jenv" is deprecated. Follow the migration guide to use the new "jinja" hook.',
			fg="yellow",
		)
		secho("https://github.com/influxframework/influxframework/wiki/Migrating-to-Version-13", fg="yellow")
		print()
